RxTaskPool (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.transport.RxTaskPool class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport
Class RxTaskPool

    java.lang.Object
      org.apache.catalina.tribes.transport.RxTaskPool

    public class RxTaskPool

extends java.lang.Object

Version:
  1.0
Author:
  not attributable

Nested Class Summary
`static interface` | `RxTaskPool.TaskCreator`

Constructor Summary
`RxTaskPool(int maxTasks, int minTasks, RxTaskPool.TaskCreator creator)`

Method Summary
`int` | `available()`
`protected void` | `configureTask(AbstractRxTask task)`
`int` | `getMaxThreads()`
`int` | `getMinThreads()`
`AbstractRxTask` | `getRxTask()` Find an idle worker thread, if any.
`RxTaskPool.TaskCreator` | `getTaskCreator()`
`void` | `returnWorker(AbstractRxTask worker)` Called by the worker thread to return itself to the idle pool.
`void` | `setMaxTasks(int maxThreads)`
`void` | `setMinTasks(int minThreads)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RxTaskPool

    public RxTaskPool(int maxTasks,
                      int minTasks,
                      RxTaskPool.TaskCreator creator)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### configureTask

    protected void configureTask(AbstractRxTask task)

### getRxTask

    public AbstractRxTask getRxTask()

  Find an idle worker thread, if any. Could return null.

### available

    public int available()

### returnWorker

    public void returnWorker(AbstractRxTask worker)

  Called by the worker thread to return itself to the idle pool.

### getMaxThreads

    public int getMaxThreads()

### getMinThreads

    public int getMinThreads()

### stop

    public void stop()

### setMaxTasks

    public void setMaxTasks(int maxThreads)

### setMinTasks

    public void setMinTasks(int minThreads)

### getTaskCreator

    public RxTaskPool.TaskCreator getTaskCreator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.